OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepBasic

# StepBasic_SiUnitAndThermodynamicTemperatureUnit Class Reference

`#include <StepBasic_SiUnitAndThermodynamicTemperatureUnit.hxx>`

Inheritance diagram for StepBasic_SiUnitAndThermodynamicTemperatureUnit:

[legend]

## Public Member Functions
Standard_EXPORT | StepBasic_SiUnitAndThermodynamicTemperatureUnit ()
| Returns a SiUnitAndThermodynamicTemperatureUnit .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DimensionalExponents)&aDimensions)
virtual Standard_EXPORT void | Init (const Standard_Boolean hasAprefix, const StepBasic_SiPrefix aPrefix, const StepBasic_SiUnitName aName)
Standard_EXPORT void | SetThermodynamicTemperatureUnit (const Handle(StepBasic_ThermodynamicTemperatureUnit)&aThermodynamicTemperatureUnit)
Standard_EXPORT Handle_StepBasic_ThermodynamicTemperatureUnit | ThermodynamicTemperatureUnit () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepBasic_ThermodynamicTemperatureUnit | thermodynamicTemperatureUnit

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_SiUnitAndThermodynamicTemperatureUnit::StepBasic_SiUnitAndThermodynamicTemperatureUnit | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_SiUnitAndThermodynamicTemperatureUnit::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndThermodynamicTemperatureUnit::Init | ( | const Standard_Boolean | hasAprefix,
|  | const StepBasic_SiPrefix | aPrefix,
|  | const StepBasic_SiUnitName | aName
| ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

virtual Standard_EXPORT void StepBasic_SiUnitAndThermodynamicTemperatureUnit::Init | ( | const Handle(StepBasic_DimensionalExponents)& | aDimensions | ) | `[virtual]`

| Reimplemented from StepBasic_SiUnit.

Standard_EXPORT void StepBasic_SiUnitAndThermodynamicTemperatureUnit::SetThermodynamicTemperatureUnit | ( | const Handle(StepBasic_ThermodynamicTemperatureUnit)& | aThermodynamicTemperatureUnit | ) |

Standard_EXPORT Handle_StepBasic_ThermodynamicTemperatureUnit StepBasic_SiUnitAndThermodynamicTemperatureUnit::ThermodynamicTemperatureUnit | ( |  | ) | const

## Field Documentation

Handle_StepBasic_ThermodynamicTemperatureUnit StepBasic_SiUnitAndThermodynamicTemperatureUnit::thermodynamicTemperatureUnit`[private]`

The documentation for this class was generated from the following file:

- StepBasic_SiUnitAndThermodynamicTemperatureUnit.hxx